#!/usr/bin/python

import sys
import subprocess

pmconfigFilename = '/etc/pmconfig'
keys = ['enable_off_mode',
         'sleep_while_idle',
         'voltage_off_while_idle',
         'scaling_governor',
         'scaling_max_freq',
         'scaling_min_freq']

try:
    pmconfig = open(pmconfigFilename, 'r')
except IOError:
    sys.stderr.write('Could not open '+pmconfigFilename+'\n')
    sys.exit(1)
lines = pmconfig.readlines()

subprocess.Popen("mount -t debugfs debugfs /sys/kernel/debug/", shell=True)

failed = False

for key in keys:
    filename = subprocess.Popen(["find", "/sys/", "-name", key], stdout=subprocess.PIPE).communicate()[0].strip()
    if len(filename) == 0:
        failed = True
        sys.stderr.write('Could not find sys file for '+key)
    else:
        file = open(filename, 'r')
        valueFromFile = file.readline().strip()
        found = False
        for line in lines:
            if key in line:
                found = True
                pair = line.split()
                if pair[1] != valueFromFile:
                    sys.stderr.write('Value mismatch for key '+key+'\n')
                    sys.stderr.write('From '+pmconfigFilename+': '+pair[1]+'\n')
                    sys.stderr.write('From '+filename+': '+valueFromFile+'\n')
                    failed = True
        if not found:
            failed = True
            sys.stderr.write('Could not find key '+key+' from '+pmconfigFilename+'\n')

subprocess.Popen("umount /sys/kernel/debug/", shell=True)
if failed:
    sys.exit(1)
else:
    sys.exit(0)

