#!/bin/sh

# This test checks that /etc/hostname and /etc/hosts are sane.

HOSTNAME_FILE="/etc/hostname"
HOSTS_FILE="/etc/hosts"
HOSTNAME_EXPECTED="`sysinfo-tool -g /component/product | sed 's/-//g'`"

if [ ! -e "$HOSTNAME_FILE" ]
then
  echo -e "$HOSTNAME_FILE does not exist!"
  exit 1
fi

HOSTNAME_RESULT=`hostname`
if [ "$HOSTNAME_RESULT" != "$HOSTNAME_EXPECTED" ]
then
  echo -e "$HOSTNAME_RESULT is wrong! $HOSTNAME_EXPECTED is expected!"
  exit 1
fi

if [ ! -e "$HOSTS_FILE" ]
then
  echo "$HOST_FILE does not exist!"
  exit 1
fi

HOSTS_EXPECTED="127.0.0.1 ""$HOSTNAME_EXPECTED"" localhost"
HOSTS_RESULT=`grep 127.0.0.1 $HOSTS_FILE`
if [ "$HOSTS_EXPECTED" != "$HOSTS_RESULT" ]
then
  echo "$HOSTS_FILE is not sane!"
  echo "Expected: $HOSTS_EXPECTED"
  echo "Got: $HOSTS_RESULT"
  exit 1
fi
