#!/bin/sh

# This checks the kernel parameters in rcS.

test_func() {
  GOT=`cat $1`
  if [ "$2" != "$GOT" ]
  then
    echo "$1 is not sane!"
    echo "Expected: $2"
    echo "Got:      $GOT"
    exit 1
  fi
}

test_func "/proc/sys/net/ipv4/conf/all/accept_redirects" "0"
test_func "/proc/sys/net/ipv4/conf/default/accept_redirects" "0"
test_func "/proc/sys/net/ipv4/conf/all/rp_filter" "1"
test_func "/proc/sys/net/ipv4/conf/default/rp_filter" "1"
test_func "/proc/sys/net/ipv4/icmp_ignore_bogus_error_responses" "1"
test_func "/proc/sys/net/ipv4/icmp_echo_ignore_broadcasts" "1"
HELPER="49152"`echo -e "\t"`"65535"
test_func "/proc/sys/net/ipv4/ip_local_port_range" "$HELPER"
test_func "/sys/class/bluetooth/hci0/idle_timeout" "6000"

test_func "/proc/sys/kernel/pty/max" "16"
test_func "/proc/sys/kernel/threads-max" "1024"
test_func "/proc/sys/fs/file-max" "32768"
test_func "/proc/sys/vm/swappiness" "60"
test_func "/proc/sys/vm/dirty_expire_centisecs" "500"
test_func "/proc/sys/net/core/rmem_default" "65536"
test_func "/proc/sys/net/core/wmem_default" "16384"

test_func "/proc/sys/kernel/sysrq" "0"

#test_func "/proc/sys/kernel/core_pattern" "/what/me/worry"
test_func "/proc/sys/kernel/panic" "1"
test_func "/proc/sys/kernel/panic_on_oops" "1"


echo "Kernel parameters ok."

exit 0
