#!/bin/sh

# Check the mounts from rcS.

test_func() {
  GOT=`grep "$1" /proc/mounts`
  if [ "$GOT" != "$2" ]
  then
    echo "/proc/mounts is not sane!"
    echo "Expected: $2"
    echo "Got:      $GOT"
    exit 1
  fi

  GOT=`grep "$1" /etc/mtab`
  if [ "$GOT" != "$2" ]
  then
    echo "/etc/mtab is not sane!"
    echo "Expected: $2"
    echo "Got:      $GOT"
    exit 1
  fi
}

# From do_mounts()
test_func "/proc " "none /proc proc rw,nosuid,nodev,noexec,relatime 0 0"
test_func "/sys " "none /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0"
test_func "/tmp " "tmpfs /tmp tmpfs rw,noatime,size=4096k 0 0"
test_func "/var/run " "tmpfs /var/run tmpfs rw,nosuid,noatime,size=512k 0 0"

# From mount_devpts()
test_func "/dev/pts " "devpts /dev/pts devpts rw,relatime,gid=5,mode=620 0 0"

echo "Mounts ok."
exit 0
